diff --git a/lib/app/modules/petugas_desa/views/dashboard_view.dart b/lib/app/modules/petugas_desa/views/dashboard_view.dart
index dc5dccf..65748ce 100644
--- a/lib/app/modules/petugas_desa/views/dashboard_view.dart
+++ b/lib/app/modules/petugas_desa/views/dashboard_view.dart
@@ -18,195 +18,394 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
   Widget build(BuildContext context) {
     final textTheme = Theme.of(context).textTheme;
 
-    return RefreshIndicator(
-      onRefresh: () => controller.refreshData(),
-      child: Obx(() => AnimationLimiter(
-            child: SingleChildScrollView(
-              physics: const AlwaysScrollableScrollPhysics(),
-              child: Padding(
-                padding: const EdgeInsets.all(16.0),
-                child: controller.isLoading.value
-                    ? const Center(child: CircularProgressIndicator())
-                    : AnimationConfiguration.staggeredList(
-                        position: 0,
-                        delay: const Duration(milliseconds: 100),
-                        child: Column(
-                          crossAxisAlignment: CrossAxisAlignment.start,
-                          children: [
-                            // Header DisalurKita dengan logo dan slogan
-                            FadeInAnimation(
-                              child: Container(
-                                padding: const EdgeInsets.all(16),
-                                decoration: BoxDecoration(
-                                  color: Colors.white,
-                                  borderRadius: BorderRadius.circular(15),
-                                  boxShadow: [
-                                    BoxShadow(
-                                      color: Colors.blue.withOpacity(0.1),
-                                      blurRadius: 10,
-                                      offset: const Offset(0, 4),
-                                    ),
-                                  ],
-                                ),
-                                child: Row(
-                                  children: [
-                                    Image.asset(
-                                      'assets/images/logo-disalurkita.png',
-                                      width: 50,
-                                      height: 50,
-                                    ),
-                                    const SizedBox(width: 15),
-                                    const Column(
-                                      crossAxisAlignment:
-                                          CrossAxisAlignment.start,
-                                      children: [
-                                        Text(
-                                          'DisalurKita',
-                                          style: TextStyle(
-                                            fontSize: 20,
-                                            fontWeight: FontWeight.bold,
-                                            color: Color(0xFF1565C0),
-                                          ),
-                                        ),
-                                        SizedBox(height: 5),
-                                        Text(
-                                          'Salurkan dengan Pasti, Pantau dengan Bukti',
-                                          style: TextStyle(
-                                            fontSize: 12,
-                                            color: Colors.grey,
-                                            fontWeight: FontWeight.w500,
-                                          ),
-                                        ),
-                                      ],
-                                    ),
-                                  ],
+    return Scaffold(
+      body: RefreshIndicator(
+        onRefresh: () => controller.refreshData(),
+        child: Obx(() => AnimationLimiter(
+              child: SingleChildScrollView(
+                physics: const AlwaysScrollableScrollPhysics(),
+                child: Padding(
+                  padding: const EdgeInsets.all(16.0),
+                  child: controller.isLoading.value
+                      ? const Center(child: CircularProgressIndicator())
+                      : AnimationConfiguration.staggeredList(
+                          position: 0,
+                          delay: const Duration(milliseconds: 100),
+                          child: Column(
+                            crossAxisAlignment: CrossAxisAlignment.start,
+                            children: [
+                              // Header dengan greeting yang lebih menarik
+                              FadeInAnimation(
+                                child: GreetingHeader(
+                                  name: controller.namaLengkap,
+                                  role: 'Petugas Desa',
+                                  desa: controller.desa,
+                                  nip: controller.nip,
+                                  profileImageUrl: controller.profileImageUrl,
                                 ),
                               ),
-                            ),
-                            const SizedBox(height: 20),
+                              const SizedBox(height: 24),
 
-                            // Header dengan greeting
-                            FadeInAnimation(
-                              child: GreetingHeader(
-                                name: controller.namaLengkap,
-                                role: 'Petugas Desa',
-                                desa: controller.desa,
+                              // Rangkuman Statistik
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 250),
+                                child: _buildStatistikRangkuman(),
                               ),
-                            ),
-                            const SizedBox(height: 20),
+                              const SizedBox(height: 24),
 
-                            // Jadwal penyaluran hari ini
-                            FadeInAnimation(
-                              delay: const Duration(milliseconds: 300),
-                              child: _buildJadwalHariIni(),
-                            ),
-                            const SizedBox(height: 20),
+                              // Progress penyaluran
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 300),
+                                child: _buildProgressPenyaluran(),
+                              ),
+                              const SizedBox(height: 24),
 
-                            // Progress penyaluran
-                            FadeInAnimation(
-                              delay: const Duration(milliseconds: 400),
-                              child: _buildProgressPenyaluran(),
-                            ),
-                            const SizedBox(height: 20),
+                              // Jadwal penyaluran hari ini
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 350),
+                                child: _buildJadwalHariIni(),
+                              ),
+                              const SizedBox(height: 24),
 
-                            // Statistik performa desa
-                            FadeInAnimation(
-                              delay: const Duration(milliseconds: 500),
-                              child: _buildStatistikPerforma(),
-                            ),
-                            const SizedBox(height: 20),
+                              // Grafik Penyaluran Bantuan
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 400),
+                                child: _buildGrafikPenyaluran(),
+                              ),
+                              const SizedBox(height: 24),
 
-                            // Daftar penerima terbaru
-                            FadeInAnimation(
-                              delay: const Duration(milliseconds: 600),
-                              child: _buildRecipientsList(textTheme),
-                            ),
-                          ],
+                              // Statistik performa desa
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 450),
+                                child: _buildStatistikPerforma(),
+                              ),
+                              const SizedBox(height: 24),
+
+                              // Daftar penerima terbaru
+                              FadeInAnimation(
+                                delay: const Duration(milliseconds: 500),
+                                child: _buildRecipientsList(textTheme),
+                              ),
+                              const SizedBox(height: 16),
+                            ],
+                          ),
                         ),
-                      ),
+                ),
+              ),
+            )),
+      ),
+    );
+  }
+
+  Widget _buildActionButton(
+      String title, IconData icon, Color color, VoidCallback onTap) {
+    return InkWell(
+      onTap: onTap,
+      borderRadius: BorderRadius.circular(16),
+      child: Container(
+        width: 75,
+        padding: const EdgeInsets.all(12),
+        decoration: BoxDecoration(
+          color: color.withOpacity(0.1),
+          borderRadius: BorderRadius.circular(16),
+          border: Border.all(color: color.withOpacity(0.3), width: 1),
+        ),
+        child: Column(
+          mainAxisSize: MainAxisSize.min,
+          children: [
+            Icon(icon, color: color, size: 28),
+            const SizedBox(height: 8),
+            Text(
+              title,
+              textAlign: TextAlign.center,
+              style: TextStyle(
+                fontSize: 12,
+                fontWeight: FontWeight.w500,
+                color: color,
               ),
             ),
-          )),
+          ],
+        ),
+      ),
+    );
+  }
+
+  Widget _buildStatistikRangkuman() {
+    return Container(
+      padding: const EdgeInsets.all(16),
+      decoration: BoxDecoration(
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.black.withOpacity(0.05),
+            blurRadius: 10,
+            offset: const Offset(0, 4),
+          ),
+        ],
+      ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Text(
+            'Ringkasan Kegiatan',
+            style: TextStyle(
+              fontSize: 16,
+              fontWeight: FontWeight.bold,
+              color: AppTheme.primaryColor,
+            ),
+          ),
+          const SizedBox(height: 16),
+          Row(
+            children: [
+              Expanded(
+                child: _buildStatItem(
+                  'Total Penerima',
+                  controller.totalPenerima.value.toString(),
+                  Icons.people,
+                  Colors.blue,
+                ),
+              ),
+              const SizedBox(width: 12),
+              Expanded(
+                child: _buildStatItem(
+                  'Penyaluran',
+                  controller.totalPenyaluran.value.toString(),
+                  Icons.calendar_month,
+                  Colors.green,
+                ),
+              ),
+            ],
+          ),
+          const SizedBox(height: 12),
+          Row(
+            children: [
+              Expanded(
+                child: _buildStatItem(
+                  'Pengaduan',
+                  controller.jumlahDiproses.value.toString(),
+                  Icons.warning_amber,
+                  Colors.orange,
+                ),
+              ),
+              const SizedBox(width: 12),
+              Expanded(
+                child: _buildStatItem(
+                  'Penitipan',
+                  controller.totalPenitipanTerverifikasi.value.toString(),
+                  Icons.inventory,
+                  Colors.purple,
+                ),
+              ),
+            ],
+          ),
+        ],
+      ),
+    );
+  }
+
+  Widget _buildStatItem(
+      String title, String value, IconData icon, Color color) {
+    return Container(
+      padding: const EdgeInsets.all(12),
+      decoration: BoxDecoration(
+        color: color.withOpacity(0.1),
+        borderRadius: BorderRadius.circular(12),
+      ),
+      child: Row(
+        children: [
+          Container(
+            padding: const EdgeInsets.all(8),
+            decoration: BoxDecoration(
+              color: color.withOpacity(0.2),
+              shape: BoxShape.circle,
+            ),
+            child: Icon(icon, color: color, size: 22),
+          ),
+          const SizedBox(width: 10),
+          Expanded(
+            child: Column(
+              crossAxisAlignment: CrossAxisAlignment.start,
+              children: [
+                Text(
+                  value,
+                  style: TextStyle(
+                    fontSize: 18,
+                    fontWeight: FontWeight.bold,
+                    color: color,
+                  ),
+                ),
+                Text(
+                  title,
+                  style: TextStyle(
+                    fontSize: 12,
+                    color: Colors.grey[600],
+                  ),
+                  maxLines: 1,
+                  overflow: TextOverflow.ellipsis,
+                ),
+              ],
+            ),
+          ),
+        ],
+      ),
     );
   }
 
   Widget _buildJadwalHariIni() {
-    return Column(
-      crossAxisAlignment: CrossAxisAlignment.start,
-      children: [
-        Text(
-          'Jadwal Penyaluran Hari Ini',
-          style: TextStyle(
-            fontSize: 18,
-            fontWeight: FontWeight.bold,
-            color: AppTheme.primaryColor,
+    return Container(
+      padding: const EdgeInsets.all(16),
+      decoration: BoxDecoration(
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.black.withOpacity(0.05),
+            blurRadius: 10,
+            offset: const Offset(0, 4),
           ),
-        ),
-        const SizedBox(height: 12),
-        FutureBuilder<List<Map<String, dynamic>>?>(
-          future: SupabaseService.to.getJadwalAktif(),
-          builder: (context, snapshot) {
-            if (snapshot.connectionState == ConnectionState.waiting) {
-              return const Center(child: CircularProgressIndicator());
-            }
-
-            if (snapshot.hasError) {
-              return const Center(child: Text('Gagal memuat jadwal'));
-            }
-
-            final jadwalList = snapshot.data;
-
-            if (jadwalList == null || jadwalList.isEmpty) {
-              return Container(
-                padding: const EdgeInsets.all(16),
-                decoration: BoxDecoration(
-                  color: Colors.grey[200],
-                  borderRadius: BorderRadius.circular(12),
-                ),
-                child: const Row(
-                  children: [
-                    Icon(Icons.event_busy, color: Colors.grey),
-                    SizedBox(width: 8),
-                    Text('Tidak ada jadwal penyaluran hari ini'),
-                  ],
-                ),
-              );
-            }
-
-            return ListView.builder(
-              shrinkWrap: true,
-              physics: const NeverScrollableScrollPhysics(),
-              itemCount: jadwalList.length,
-              itemBuilder: (context, index) {
-                final jadwal = jadwalList[index];
-                final DateTime tanggal =
-                    DateTime.parse(jadwal['tanggal_penyaluran']);
-                final String formattedDate =
-                    FormatHelper.formatDateTime(tanggal);
-                final kategoriBantuan =
-                    jadwal['kategori_bantuan'] as Map<String, dynamic>;
-                final lokasiPenyaluran =
-                    jadwal['lokasi_penyaluran'] as Map<String, dynamic>;
-
-                return Column(
-                  children: [
-                    if (index > 0) const SizedBox(height: 10),
-                    ScheduleCard(
-                      title: kategoriBantuan['nama'] ?? 'Jadwal Penyaluran',
-                      location:
-                          lokasiPenyaluran['nama'] ?? 'Lokasi tidak tersedia',
-                      dateTime: formattedDate,
-                      isToday: true,
-                      onTap: () => Get.toNamed(Routes.detailPenyaluran,
-                          parameters: {'id': jadwal['id']}),
+        ],
+      ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            mainAxisAlignment: MainAxisAlignment.spaceBetween,
+            children: [
+              Row(
+                children: [
+                  Container(
+                    padding: const EdgeInsets.all(8),
+                    decoration: BoxDecoration(
+                      color: AppTheme.primaryColor.withOpacity(0.1),
+                      shape: BoxShape.circle,
                     ),
-                  ],
+                    child: Icon(
+                      Icons.event_note,
+                      color: AppTheme.primaryColor,
+                      size: 20,
+                    ),
+                  ),
+                  const SizedBox(width: 10),
+                  Text(
+                    'Jadwal Penyaluran Hari Ini',
+                    style: TextStyle(
+                      fontSize: 18,
+                      fontWeight: FontWeight.bold,
+                      color: AppTheme.primaryColor,
+                    ),
+                  ),
+                ],
+              ),
+            ],
+          ),
+          const SizedBox(height: 16),
+          FutureBuilder<List<Map<String, dynamic>>?>(
+            future: SupabaseService.to.getJadwalAktif(),
+            builder: (context, snapshot) {
+              if (snapshot.connectionState == ConnectionState.waiting) {
+                return const Center(
+                  child: SizedBox(
+                    height: 100,
+                    child: Center(child: CircularProgressIndicator()),
+                  ),
                 );
-              },
-            );
-          },
-        ),
-      ],
+              }
+
+              if (snapshot.hasError) {
+                return Container(
+                  height: 100,
+                  decoration: BoxDecoration(
+                    color: Colors.red.withOpacity(0.1),
+                    borderRadius: BorderRadius.circular(12),
+                  ),
+                  child: const Center(
+                    child: Column(
+                      mainAxisSize: MainAxisSize.min,
+                      children: [
+                        Icon(Icons.error_outline, color: Colors.red, size: 28),
+                        SizedBox(height: 8),
+                        Text(
+                          'Gagal memuat jadwal',
+                          style: TextStyle(color: Colors.red),
+                        ),
+                      ],
+                    ),
+                  ),
+                );
+              }
+
+              final jadwalList = snapshot.data;
+
+              if (jadwalList == null || jadwalList.isEmpty) {
+                return Container(
+                  height: 100,
+                  padding: const EdgeInsets.all(16),
+                  decoration: BoxDecoration(
+                    color: Colors.blue.withOpacity(0.05),
+                    borderRadius: BorderRadius.circular(12),
+                    border: Border.all(
+                      color: Colors.blue.withOpacity(0.1),
+                      width: 1,
+                    ),
+                  ),
+                  child: Column(
+                    mainAxisAlignment: MainAxisAlignment.center,
+                    children: [
+                      Icon(
+                        Icons.event_busy,
+                        color: Colors.blue.shade300,
+                        size: 32,
+                      ),
+                      const SizedBox(height: 8),
+                      const Text(
+                        'Tidak ada jadwal penyaluran hari ini',
+                        textAlign: TextAlign.center,
+                        style: TextStyle(
+                          color: Colors.blue,
+                          fontWeight: FontWeight.w500,
+                        ),
+                      ),
+                    ],
+                  ),
+                );
+              }
+
+              return ListView.builder(
+                shrinkWrap: true,
+                physics: const NeverScrollableScrollPhysics(),
+                itemCount: jadwalList.length,
+                itemBuilder: (context, index) {
+                  final jadwal = jadwalList[index];
+                  final DateTime tanggal =
+                      DateTime.parse(jadwal['tanggal_penyaluran']);
+                  final String formattedDate =
+                      FormatHelper.formatDateTime(tanggal);
+                  final kategoriBantuan =
+                      jadwal['kategori_bantuan'] as Map<String, dynamic>;
+                  final lokasiPenyaluran =
+                      jadwal['lokasi_penyaluran'] as Map<String, dynamic>;
+
+                  return Column(
+                    children: [
+                      if (index > 0) const SizedBox(height: 10),
+                      ScheduleCard(
+                        title: kategoriBantuan['nama'] ?? 'Jadwal Penyaluran',
+                        location:
+                            lokasiPenyaluran['nama'] ?? 'Lokasi tidak tersedia',
+                        dateTime: formattedDate,
+                        isToday: true,
+                        onTap: () => Get.toNamed(Routes.detailPenyaluran,
+                            parameters: {'id': jadwal['id']}),
+                      ),
+                    ],
+                  );
+                },
+              );
+            },
+          ),
+        ],
+      ),
     );
   }
 
@@ -219,25 +418,56 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
 
     final total = terlaksana + batal + dijadwalkan + aktif;
     final progressValue = total > 0 ? (terlaksana + batal) / total : 0.0;
-    final belumTerlaksana = dijadwalkan +
-        aktif; // Yang belum terlaksana adalah yang dijadwalkan dan aktif
+    final belumTerlaksana = dijadwalkan + aktif;
 
     return Container(
-      padding: const EdgeInsets.all(16),
+      padding: const EdgeInsets.all(20),
       decoration: BoxDecoration(
-        gradient: AppTheme.primaryGradient,
+        gradient: LinearGradient(
+          colors: [Colors.indigo.shade700, Colors.indigo.shade500],
+          begin: Alignment.topLeft,
+          end: Alignment.bottomRight,
+        ),
         borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.indigo.withOpacity(0.3),
+            blurRadius: 10,
+            offset: const Offset(0, 4),
+          ),
+        ],
       ),
       child: Column(
         crossAxisAlignment: CrossAxisAlignment.start,
         children: [
-          Text(
-            'Progress Penyaluran',
-            style: const TextStyle(
-              fontSize: 18,
-              fontWeight: FontWeight.bold,
-              color: Colors.white,
-            ),
+          Row(
+            mainAxisAlignment: MainAxisAlignment.spaceBetween,
+            children: [
+              const Text(
+                'Progress Penyaluran',
+                style: TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                  color: Colors.white,
+                ),
+              ),
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 10, vertical: 6),
+                decoration: BoxDecoration(
+                  color: Colors.white.withOpacity(0.2),
+                  borderRadius: BorderRadius.circular(20),
+                ),
+                child: Text(
+                  'Total: $total Penyaluran',
+                  style: const TextStyle(
+                    fontSize: 12,
+                    fontWeight: FontWeight.w500,
+                    color: Colors.white,
+                  ),
+                ),
+              ),
+            ],
           ),
           const SizedBox(height: 20),
           Row(
@@ -246,13 +476,25 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                 radius: 60.0,
                 lineWidth: 10.0,
                 percent: progressValue > 1.0 ? 1.0 : progressValue,
-                center: Text(
-                  '${(progressValue * 100).toInt()}%',
-                  style: const TextStyle(
-                    fontSize: 18,
-                    fontWeight: FontWeight.bold,
-                    color: Colors.white,
-                  ),
+                center: Column(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    Text(
+                      '${(progressValue * 100).toInt()}%',
+                      style: const TextStyle(
+                        fontSize: 20,
+                        fontWeight: FontWeight.bold,
+                        color: Colors.white,
+                      ),
+                    ),
+                    const Text(
+                      'Selesai',
+                      style: TextStyle(
+                        fontSize: 12,
+                        color: Colors.white70,
+                      ),
+                    ),
+                  ],
                 ),
                 progressColor: Colors.white,
                 backgroundColor: Colors.white.withOpacity(0.2),
@@ -265,28 +507,25 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
                 child: Column(
                   crossAxisAlignment: CrossAxisAlignment.start,
                   children: [
-                    _buildProgressDetailItem(
+                    _buildProgressDetailItemNew(
+                      Icons.check_circle,
                       'Telah Terlaksana',
                       '$terlaksana',
-                      Colors.white,
+                      Colors.green.shade300,
                     ),
-                    const SizedBox(height: 8),
-                    _buildProgressDetailItem(
+                    const SizedBox(height: 12),
+                    _buildProgressDetailItemNew(
+                      Icons.pending_actions,
                       'Belum Terlaksana',
                       '$belumTerlaksana',
-                      Colors.white.withOpacity(0.7),
+                      Colors.amber.shade300,
                     ),
-                    const SizedBox(height: 8),
-                    _buildProgressDetailItem(
+                    const SizedBox(height: 12),
+                    _buildProgressDetailItemNew(
+                      Icons.cancel,
                       'Dibatalkan',
                       '$batal',
-                      Colors.white.withOpacity(0.7),
-                    ),
-                    const SizedBox(height: 8),
-                    _buildProgressDetailItem(
-                      'Total Penyaluran',
-                      '$total',
-                      Colors.white,
+                      Colors.red.shade300,
                     ),
                   ],
                 ),
